/* font-family: 'Arvo', serif;

font-family: 'Bitter', serif;

font-family: 'Corben', cursive; */

:root {
    --purple: #791E94;
    --bone: #DFD3C3;
    --bone-dark: #887E70;
    --alabaster: #F0ECE3;
  }

  body{
    background-image: linear-gradient(90deg, transparent 50%, #ebd6f23d 50%);
    background-size: 50px 50px;
  }

  .arvo{
    font-family: 'Arvo', serif!important;
  }
  
  .bitter{
    font-family: 'bitter', serif!important;
  }
  
  .corben{
    font-family: 'Corben', cursive!important;
  }

  .bold{
    font-weight: bolder;
  }
  
  .purple{
    color: var(--purple)!important;
  }

  .input-purple{
    color: var(--purple)!important;
    border: 2px solid #791E94!important;
    border-radius: 30px;
  }

  .input-purple::placeholder{
    color: var(--purple)!important;
  }

  .bone{
    color: var(--bone)!important;
  }
  .bone-dark{
    color: var(--bone-dark)!important;
  }
  .alabaster{
    color: var(--alabaster)!important;
  }
  .bg-purple{
    background-color: var(--purple)!important;
  }
  .bg-alabaster{
    background-color: var(--alabaster)!important;
  }
  .bg-bone{
    background-color: var(--bone)!important;
  }
  .bg-bone-dark{
    background-color: var(--bone-dark)!important;
  }

  /* category */
  .btn-category{
    color: var(--purple);
    box-sizing: border-box;
    background: #FFFFFF;
    border: 1px solid rgba(223, 211, 195, 0.5);
    box-shadow: 0.5px 2px 3px rgba(0, 0, 0, 0.2);
    border-radius: 30px;
  }

  .btn-category:hover{
    color:white;
    background-color: var(--purple);
    box-shadow: 0.5px 2px 3px rgba(0, 0, 0, 0.2);
  }

  .btn-purple{
    box-sizing: border-box;
    background: var(--purple);
    /* border: 1px solid rgba(223, 211, 195, 0.5);
    box-shadow: 0.5px 2px 3px rgba(0, 0, 0, 0.2); */
    border-radius: 20px;
    color:white;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }

  .btn-purple:hover{
    color: white;
    background-color: #9e4bb8;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2); 
  }

  .btn-outline-purple{
    border: 2px solid var(--purple);
    color: var(--purple);
    border-radius: 20px;
  }
  .btn-outline-purple:hover{
    background: var(--purple);
    color:white;
    
  }

  .border-down{
    border-bottom: 2px solid var(--bone);
  }

  .title-purple{
    font-family: 'Corben';
    font-style: normal;
    font-weight: 700;
    font-size: 1.25rem;
    text-align: center;

    background: linear-gradient(180deg, #791E94 10.86%, #D277ED 58.77%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
   

  }

  .form-control{
    border: 1px solid var(--bone-dark)!important;
  }

  .rounded-searchbar{
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
  }

  .rounded-bttsearch{
    border-top-right-radius: 20px !important;
    border-bottom-right-radius: 20px !important;
  }

  .border-purple{
    border: 2px solid var(--bone)!important;
    /* box-shadow: 3px 3px 3px #791E94!important; */
    box-shadow: 3px 3px 3px var(--bone)!important;
  }

  /* z-index */
  .navZindex{
    z-index: 10;
  }
  
  .cardZindex{
    z-index: 1;
  }
/* fine z-index */

/* locale */

.dropdown-menu-locale{
  min-width: 4.7rem!important;
}

/* locale end */

.btn-main {
  position: relative;
  background: var(--purple);
  padding: 0.5rem 1rem;
  font-size: 1.2rem;
  border: none;
  color: white;
  cursor: pointer;
  outline: none;
  overflow: hidden;
  text-decoration: none;
}

.btn-main span {
  position: relative;
}

.btn-main::before {
  --size: 0;
  content: '';
  position: absolute;
  left: var(--x);
  top: var(--y);
  width: var(--size);
  height: var(--size);
  background: radial-gradient(circle closest-side, #b14fcf, transparent);
  transform: translate(-50%, -50%);
  transition: width 0.2s ease, height 0.2s ease;
}

.btn-main:hover::before {
  --size: 200px;
}
/* list */
li{
  list-style: none;
}

#btt{
  right:2rem;
  bottom:2rem;
  z-index: 9999;
}

/*icone*/
.category-1::before{
  content:"\f1b9";
}
.category-2::before{
  content:"\f553";
}
.category-3::before{
  content:"\f1e3";
}
.category-4::before{
  content:"\f4b8";
}
.category-5::before{
  content:"\f8c1";
}
.category-6::before{
  content:"\f02d";
}
.category-7::before{
  content:"\f109";
}
.category-8::before{
  content:"\f001";
}
.category-9::before{
  content:"\f4d8";
}
.category-10::before{
  content:"\f5aa";
}

.bg-header{
  background-image: linear-gradient(rgba(135, 90, 155, 0.9),rgba(255, 255, 255, 0.587),rgba(255, 255, 255, 0.587)),url("/storage/app/public/root_media/image_processing20210910-7621-1xbjoc4.gif");
}

.shadow-header{
  background-color: rgba(255, 255, 255, 0.468);
  box-shadow: 0px 0px 25px rgba(255, 255, 255, 0.309);
}

/* animazioni */

.animEntrata{
  animation-name: entrata; 
  animation-duration: 0.7s;
  animation-fill-mode: forwards;
}

.animEntrataOut{
  animation-name: entrataOut; 
  animation-duration: 1s;
  animation-fill-mode: forwards;
}

.animEntrataLeft{
  animation-name: fadeInLeft; 
  animation-duration: 0.4s;
  animation-fill-mode: forwards;
  animation-timing-function:cubic-bezier(0.445, 0.05, 0.55, 0.95);

}

.animEntrataRight{
  animation-name: fadeInRight; 
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
  animation-timing-function:cubic-bezier(0.445, 0.05, 0.55, 0.95);
}


@keyframes entrata {
  0%{
  transform: translateY(20rem);
  opacity: 0!important;

  }
  100%{
  transform: translateY(0);
  opacity: 1!important;
  }
}
@keyframes entrataOut {
  0%{
  transform: translateY(0);
  opacity: 1!important;
  }
  100%{
  transform: translateY(20rem);
  opacity: 0!important;
  }
}

@keyframes fadeInRight {
  0%{
  transform: translateX(40rem);
  opacity: 0!important;
  }
  100%{
  transform: translateY(0);
  opacity: 1!important;
  }
}

@keyframes fadeInLeft {
  0%{
  transform: translateX(-40rem);
  opacity: 0!important;
  }
  100%{
  transform: translateY(0);
  opacity: 1!important;
  }
}


.text-truncate{
  width: 100%;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

.text-category{
  background-color: var(--purple);
  color: white;
}


.previewSize {
  width: 300px;
  background-size:contain;
  background-repeat: no-repeat;
  height: 300px;
}
.navBtnResize{
  width: 90px;
  height: 50px;
}
.navLoginBtnSize{
  width: 110px;
  height: 80px;
}
/* immagine flamingo footer */
.sizeFlamingoFooter{
  width: 100px;
  height: 150px;
}

.imgPNGborder{
  -webkit-filter: drop-shadow(1px 1px 0 black)
                  drop-shadow(-1px -1px 0 black);
  -moz-filter: drop-shadow(1px 1px 0 black)
                  drop-shadow(-1px -1px 0 black);
  -ms-filter: drop-shadow(1px 1px 0 black)
                  drop-shadow(-1px -1px 0 black);
  -o-filter: drop-shadow(1px 1px 0 black)
                  drop-shadow(-1px -1px 0 black);
  filter: drop-shadow(1px 1px 0 black) 
          drop-shadow(-1px -1px 0 black);
}

.Fshadow{
  box-shadow: 2px 2px 8px 4px lightgrey;
}

.footerlinks{
  text-decoration: none;
}

.marginNext{
  margin-right: 10rem;
}